var _excluded = ["value"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { forwardRef, useRef, useImperativeHandle } from 'react';
import _getStrength from "./getStrength";

// 内库使用-start
import LocaleUtil from "./../../../utils/LocaleUtil";
// 内库使用-end

/* 测试使用-start
import { LocaleUtil } from 'seedsui-react'
测试使用-end */

var PasswordStrength = function PasswordStrength(_ref, ref) {
  var _ref$value = _ref.value,
    value = _ref$value === void 0 ? '' : _ref$value,
    props = _objectWithoutProperties(_ref, _excluded);
  var strength = _getStrength(value);
  var rootRef = useRef(null);
  // Expose
  useImperativeHandle(ref, function () {
    return {
      rootDOM: rootRef.current,
      getRootDOM: function getRootDOM() {
        return rootRef.current;
      },
      getStrength: function getStrength(newValue) {
        return _getStrength(newValue || value);
      }
    };
  });
  return /*#__PURE__*/React.createElement("ul", _extends({}, props, {
    className: "input-password-strength level".concat(strength).concat(props.className ? ' ' + props.className : ''),
    ref: rootRef
  }), /*#__PURE__*/React.createElement("li", {
    className: "input-password-strength-item level1"
  }, /*#__PURE__*/React.createElement("div", {
    className: "input-password-strength-progress"
  }), /*#__PURE__*/React.createElement("span", {
    className: "input-password-strength-text"
  }, LocaleUtil.locale('弱', 'SeedsUI_password_weak'))), /*#__PURE__*/React.createElement("li", {
    className: "input-password-strength-item level2"
  }, /*#__PURE__*/React.createElement("div", {
    className: "input-password-strength-progress level2"
  }), /*#__PURE__*/React.createElement("span", {
    className: "input-password-strength-text"
  }, LocaleUtil.locale('中', 'SeedsUI_password_medium'))), /*#__PURE__*/React.createElement("li", {
    className: "input-password-strength-item level3"
  }, /*#__PURE__*/React.createElement("div", {
    className: "input-password-strength-progress level3"
  }), /*#__PURE__*/React.createElement("span", {
    className: "input-password-strength-text"
  }, LocaleUtil.locale('强', 'SeedsUI_password_strong'))));
};
export default /*#__PURE__*/forwardRef(PasswordStrength);